Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 220819 - net-analyzer/ntop-3.3 fails to build with libtool-2.2.4 errors
Summary: net-analyzer/ntop-3.3 fails to build with libtool-2.2.4 errors
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: libtool-2.2
  Show dependency tree
 
Reported: 2008-05-07 21:57 UTC by Paul Hartman
Modified: 2008-06-09 08:48 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Hartman 2008-05-07 21:57:25 UTC
Emerge of net-analyzer/ntop-3.3 fails with errors about libtool-2.2.4 version mismatch.

Reproducible: Always

Steps to Reproduce:
1. emerge ntop
Actual Results:  
make  all-recursive
make[1]: Entering directory `/dev/shm/portage/net-analyzer/ntop-3.3/work/ntop-3.3'
Making all in .
make[2]: Entering directory `/dev/shm/portage/net-analyzer/ntop-3.3/work/ntop-3.3'
/bin/sh ./libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.    -DLINUX  -g -march=nocona -O2 -pipe -g -Wshadow -Wpointer-arith -Wmissing-prototypes -Wmissing-declarations -Wnested-externs  -fPIC -DPIC -MT address.lo -MD -MP -MF .deps/address.Tpo -c -o address.lo address.c
/bin/sh ./libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.    -DLINUX  -g -march=nocona -O2 -pipe -g -Wshadow -Wpointer-arith -Wmissing-prototypes -Wmissing-declarations -Wnested-externs  -fPIC -DPIC -MT argv.lo -MD -MP -MF .deps/argv.Tpo -c -o argv.lo argv.c
/bin/sh ./libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.    -DLINUX  -g -march=nocona -O2 -pipe -g -Wshadow -Wpointer-arith -Wmissing-prototypes -Wmissing-declarations -Wnested-externs  -fPIC -DPIC -MT dataFormat.lo -MD -MP -MF .deps/dataFormat.Tpo -c -o dataFormat.lo dataFormat.c
./libtool: line 454: CDPATH: command not found
./libtool: line 454: CDPATH: command not found
./libtool: line 454: CDPATH: command not found
./libtool: line 1146: func_opt_split: command not found
./libtool: line 1146: func_opt_split: command not found
libtool: Version mismatch error.  This is libtool 2.2.4, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.4
libtool: and run autoconf again.
make[2]: *** [address.lo] Error 63
make[2]: *** Waiting for unfinished jobs....
./libtool: line 1146: func_opt_split: command not found
libtool: Version mismatch error.  This is libtool 2.2.4, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.4
libtool: and run autoconf again.
libtool: Version mismatch error.  This is libtool 2.2.4, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.4
libtool: and run autoconf again.
make[2]: *** [argv.lo] Error 63
make[2]: *** [dataFormat.lo] Error 63
make[2]: Leaving directory `/dev/shm/portage/net-analyzer/ntop-3.3/work/ntop-3.3'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/dev/shm/portage/net-analyzer/ntop-3.3/work/ntop-3.3'
make: *** [all] Error 2
 *
 * ERROR: net-analyzer/ntop-3.3 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2590:  Called die
 * The specific snippet of code:
 *       emake || die "compile problem"
 *  The die message:
 *   compile problem
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/dev/shm/portage/net-analyzer/ntop-3.3/temp/build.log'.
 * The ebuild environment file is located at '/dev/shm/portage/net-analyzer/ntop-3.3/temp/environment'.
 *


Expected Results:  
Success

Portage 2.1.5_rc7 (default-linux/amd64/2007.0/desktop, gcc-4.2.3, glibc-2.7-r2, 2.6.25-gentoo-r2 x86_64)
=================================================================
System uname: 2.6.25-gentoo-r2 x86_64 Intel(R) Core(TM)2 CPU 6600 @ 2.40GHz
Timestamp of tree: Wed, 07 May 2008 21:33:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r2
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.3
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--nospinner"
FEATURES="ccache collision-protect distlocks fixpackages parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US"
LC_ALL="en_US"
LDFLAGS=""
LINGUAS="en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/dev/shm"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/portage/local/layman/nx /usr/portage/local/layman/mozilla /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="7zip X a52 aac aalib acl acpi aim alsa amd64 arts audiofile avi berkdb bluetooth bzip2 cairo captury cdparanoia cdr cli codecs cracklib crypt cups curl curlwrappers dbus device-mapper dri dvb dvd dvdr dvdread emboss encode ethereal evo exif fam flac flash fortran ftp gd gdbm gif glitz gphoto2 gpm gtk gtk2 h264 hal iconv ieee1394 imagemagick imap imlib innodb ipv6 isdnlog java 
joystick jpeg kde kdehiddenvisibility ldap lm_sensors mad midi mikmod mime mmx mng mp3 mpeg msn mudflap ncurses network networkmanager nls nptl nptlonly nsplugin nvidia offensive ogg oggvorbis openexr opengl openmp oscar pam pcre pdf perl png pppd python qt qt3 qt3support qt4 readline reflection samba scanner sdl session slang sndfile spell spl sse sse2 ssl svg tcpd tidy tiff truetype unicode usb v4l videos vorbis wmf x264 xcomposite xml xorg xpm xv xvid xvmc yahoo zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon ptp2" ELIBC="glibc" FOO2ZJS_DEVICES="hp1020" INPUT_DEVICES="joystick keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="vesa nv nvidia"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Rafał Mużyło 2008-05-07 22:50:19 UTC
acinclude.m4 includes old libtool.m4 - so upstream bug.
But if following files are distributed, it can be easily fixed:
cat acinclude.m4.in acinclude.m4.ntop > acinclude.m4
before eautoreconf should fix it, that's what autogen.sh does, but it adds libtool.m4 too.
If those two files are distributed (they are in svn, don't know about the tarball).
Comment 2 SpanKY gentoo-dev 2008-06-09 08:48:19 UTC
thanks, should be fixed in cvs now

http://sources.gentoo.org/net-analyzer/ntop/ntop-3.3.ebuild?r1=1.5&r2=1.6

someone should file a bug upstream ... i tried figuring out how to create a ticket in their crappy trac system and apparently failed at it